Bug ID 748944: Import is failing for APM SSO Config Saml object

Last Modified: May 23, 2019

Bug Tracker

Affected Product:  See more info
BIG-IP APM(all modules)

Known Affected Versions:
13.1.0, 13.1.0.1, 13.1.0.2, 13.1.0.3, 13.1.0.4, 13.1.0.5, 13.1.0.6, 13.1.0.7, 13.1.0.8, 13.1.1, 13.1.1.1, 13.1.1.2, 13.1.1.3, 13.1.1.4, 13.1.1.5, 14.0.0, 14.0.0.1, 14.0.0.2, 14.0.0.3, 14.0.0.4, 14.1.0, 14.1.0.1, 14.1.0.2, 14.1.0.3, 14.1.0.4, 14.1.0.5

Fixed In:
15.0.0

Opened: Nov 06, 2018
Severity: 3-Major

Symptoms

Import of policy is failing with Syntax Error: '[api-status-warning]' unexpected argument.

Impact

Unable to import policy.

Conditions

Imported policy has APM SSO Config Saml object.

Workaround

To workaround this issue, follow this procedure: 1. Unpack conf.tar.gz. 2. Edit the ng-export.conf file to find and remove the line containing [api-status-warning]. 3. Packup conf.tar.gz again.

Fix Information

[api-status-warning] are being handled so this issue no longer occurs.

Behavior Change